<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreProdutoRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'NOME'              => 'required|min:3',
            'FORNECEDOR_ID'     => 'required',
            'EXIBE_PEDIDO'      => 'required',
            'TIPO_VALOR'        => 'required',
            'VALOR_MINIMO'      => 'nullable',
            'VALOR_TABELA'      => 'nullable',
            'VALOR_IMPLANTACAO' => 'nullable',
            'OBSERVACAO'        => 'nullable',
            'TIPO_DESCONTO' => 'nullable',
            'VALOR_DESCONTO_MAXIMO' => 'nullable',
            'descontos' => '',
            'modulos' => '',
            'precos_pdv' => ''
        ];
    }
}
