<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('produtos',  function ($table) {
            $table->enum('TIPO_DESCONTO', ['max', 'pdv']);
            $table->decimal('VALOR_DESCONTO_MAXIMO', 10, 2)->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('produtos', function ($table) {
            $table->dropColumn('TIPO_DESCONTO');
            $table->dropColumn('VALOR_DESCONTO_MAXIMO');
        });
    }
};
