<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('descontos_produto', function (Blueprint $table) {
            $table->id();
            $table->integer('QTD_INICIAL');
            $table->integer('QTD_FINAL');
            $table->decimal('VALOR_PORCENTAGEM');
            $table->unsignedBigInteger('PRODUTO_ID');
            $table->foreign('PRODUTO_ID')->references('id')->on('produtos')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('descontos_produto');
    }
};
