<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});


Route::get('/fotos/{nomeArquivo}', function ($nomeArquivo) {
    $caminhoArquivo = storage_path('app/fotos/' . $nomeArquivo);
    if (file_exists($caminhoArquivo)) {
        return response()->file($caminhoArquivo);
    } else {
        abort(404); // Arquivo não encontrado
    }
});
