<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class RevendaResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
            'id'            => $this->id,
            'cnpj'          => $this->CNPJ,
            'nome_fantasia' => $this->NOME_FANTASIA,
            'razao_social'  => $this->RAZAO_SOCIAL
        ];
    }
}
