<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Modulo extends Model
{
    use HasFactory;

    public $timestamps = false;

    protected $fillable = [
        "MODULO",
        "VALOR",
        "PRODUTO_ID"
    ];

    public function produto()
    {
        return $this->belongsTo(Produto::class);
    }
}
