<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PedidoLoja extends Model
{
    use HasFactory;

    public $timestamps = true;
    public $table = 'pedidos_lojas';

    protected $fillable = [
        'id',
        'PEDIDO_ID',
        'CLIENTE_ID',
        'QTD_PDVS',
        'VALOR_TOTAL',
        'VALOR_DESCOMTOS',
        'VALOR_DESEJADO',
        'VALOR_TOTAL_DESCONTOS',
        'created_at',
        'updated_at'

    ];




    public function produtos()
    {
        return $this->hasMany(PedidoLojaProduto::class);
    }
}
